Section editing: In case of edit conflict, textarea now only shows section you edited → accidential content deleting
Closed, ResolvedPublic

Description

en.wiktionary:
If you edit a section of a page and an edit conflict occurs, the bottom textarea will only contain the section you edited.
It used to show the entire page in your textbox, and not just the section you edited. With the way it is now, we've had it happen very often that users inadvertently deleted the entire page like this.

Example of accidential delete due to this: https://en.wiktionary.org/w/index.php?title=Wiktionary:Requests_for_deletion&diff=18610741&oldid=18610739

Problem forwarded from https://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29#Problem_with_edit_conflicts
https://commons.wikimedia.org/wiki/Commons:Village_pump#Edit_conflict_issues


Version: 1.21.x
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=25681

bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz41280.
Aklapper created this task.Via LegacyOct 22 2012, 9:11 PM
aude added a comment.Via ConduitOct 23 2012, 12:20 PM

Appears this is happening not just with edit conflicts, so need to poke at the code some more to make sure this is completely fixed.

http://commons.wikimedia.org/wiki/Commons:Village_pump#Edit_conflict_issues

bzimport added a comment.Via ConduitOct 23 2012, 8:33 PM

sumanah wrote:

https://gerrit.wikimedia.org/r/#/c/29552/ Fix is in master, Reedy is backporting for 1.21wmf2

bzimport added a comment.Via ConduitOct 24 2012, 5:48 AM

sumanah wrote:

https://gerrit.wikimedia.org/r/#/c/29690/ is now also merged; closing as fixed. Thanks, Aude.

bzimport added a comment.Via ConduitOct 24 2012, 6:34 PM

and1eternal1 wrote:

The bug is still occurring very commonly on enwiki. See http://en.wikipedia.org/wiki/Wikipedia:VPT#Apparent_bug_causing_massive_text_loss_when_saving

Aklapper added a comment.Via ConduitOct 24 2012, 6:50 PM

(In reply to comment #6)

The bug is still occurring very commonly on enwiki. See
http://en.wikipedia.org/wiki/Wikipedia:VPT#Apparent_bug_causing_massive_text_loss_when_saving

-> handled in bug 41352

Denny added a comment.Via ConduitAug 22 2013, 2:56 PM

Closed older resolved bugs as verified.

Add Comment